Subject: Re: bug#67925: 29.1; delete-rectangle fails on multi-column characters

From: Juri Linkov <[email-masked]>
Date: Sat, 23 Dec 2023 19:30:03 +0200

>> Does the same problem exist for deleting rectangles in texts
>> with a variable-pitch font?
>
> No, with variable pitch fonts there is also a problem but it's
> a different one.  Basically the rectangle commands operate by pretending
> your font is monospaced.  You can see it with the rectangle highlighting
> of `C-x SPC` where the "rectangle" won't be very rectangular in the
> presence of variable pitch fonts.
>
> For such cases, it's not even clear what The Right Thing™ should be.

I tried "Block Area Selection" in LibreOffice with variable pitch fonts,
and the vertical lines are not straight:

So maybe it's impossible to draw straight rectangle boundaries.

OTOH, with monospaced fonts LibreOffice selects such Block Area
on the reported text:

and DEL deletes the selected text.  So maybe Emacs should do the same.